POST api/departmentapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
DepartmentViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| name | string |
None. |
|
| remark | string |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"contract_id": "f8640773-cb6b-4d98-b090-d38dfd4c2174",
"delay_between_scans": 1,
"id": "f0a21638-aadb-40c2-bbcd-e2bcfbbfd755",
"item_wash_max": 1,
"name": "sample string 5",
"remark": "sample string 6",
"selected_nameplate_id": "98cec2fd-cfd5-41d5-a8bb-85f6ebaa7997",
"selected_sticker_id": "6645afee-228c-474c-be1a-7ad991ac281a"
}
application/xml, text/xml
Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <contract_id>f8640773-cb6b-4d98-b090-d38dfd4c2174</contract_id> <delay_between_scans>1</delay_between_scans> <id>f0a21638-aadb-40c2-bbcd-e2bcfbbfd755</id> <item_wash_max>1</item_wash_max> <name>sample string 5</name> <remark>sample string 6</remark> <selected_nameplate_id>98cec2fd-cfd5-41d5-a8bb-85f6ebaa7997</selected_nameplate_id> <selected_sticker_id>6645afee-228c-474c-be1a-7ad991ac281a</selected_sticker_id> </department>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"4405d435-adc6-4afc-ad9b-e205b7a4de8b"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">4405d435-adc6-4afc-ad9b-e205b7a4de8b</guid>